
rem Clean up the results directory
rmdir /S /Q results
mkdir results

rem Synthesize the VHDL Wrapper Files


echo 'Synthesizing example design with XST';
xst -ifn xst.scr
copy ads62p49_init_mem_top.ngc .\results\


rem Copy the netlist generated by Coregen
echo 'Copying files from the netlist directory to the results directory'
copy ..\..\ads62p49_init_mem.ngc results\


rem  Copy the constraints files generated by Coregen
echo 'Copying files from constraints directory to results directory'
copy ..\example_design\ads62p49_init_mem_top.ucf results\

cd results

echo 'Running ngdbuild'
ngdbuild -p xc6vlx240t-ff1156-2 ads62p49_init_mem_top

echo 'Running map'
map ads62p49_init_mem_top -o mapped.ncd -pr i

echo 'Running par'
par mapped.ncd routed.ncd

echo 'Running trce'
trce -e 10 routed.ncd mapped.pcf -o routed

echo 'Running design through bitgen'
bitgen -w routed

echo 'Running netgen to create gate level VHDL model'
netgen -ofmt vhdl -sim -tm ads62p49_init_mem_top -pcf mapped.pcf -w routed.ncd routed.vhd
